Subject: [apps-discuss] AppsDir review of draft-ietf-eai-popimap-downgrade-05

From: Aaron Stone <[email-masked]>
Date: Mon, 14 May 2012 07:22:18 -0700

I have been selected as the Applications Area Directorate reviewer for this
draft (for background on appsdir, please see
http://trac.tools.ietf.org/area/app/trac/wiki/ApplicationsAreaDirectorate ).
I apologize for the terrible tardiness of this review.

Please resolve these comments along with any other Last Call comments you may
receive. Please wait for direction from your document shepherd or AD before
posting a new version of the draft.

Document: draft-ietf-eai-popimap-downgrade-05
Title: Post-delivery Message Downgrading for Internationalized Email Messages
Reviewer: Aaron Stone
Review Date: 5/13/2012
IETF Last Call Date: none found
IESG Telechat Date: none scheduled
Summary: This document has several commented-out discussion section that need
         to be resolved, however the normative text so far looks very good.

Major Issues: none

Minor Issues:

- Section 5.1.8: Should the text be stronger about Received header removal?
OLD
   Applying this procedure to "Received:" header field is prohibited.
NEW
   Implementations MUST NOT alter or remove "Received:" headers, as this is
   prohibited by RFC 5321, Section 4.4.

(Minor because it introduces a reference to SMTP RFC 5321 if the
suggested text is used)

- Section 5.2.5: "Other parts should not contain non-ASCII strings."

What's the failure scenario if an oddly formed message does have a
non-ASCII string here?

Nits:

- Abstract: Is the problem only that you cannot remove the message, or
that you can't retrieve the message at all?

- Throughout: lowercase "Email"; look for "internationalized Email"
several times in the document, change to "internationalized email".

- Section 1.1: change "allow" to "allows", remove the word "those".

- Section 1.3, second paragraph: change "as a" to "in"
- Section 1.3, third paragraph: remove the comma after [RFC6530]
- Section 1.3, fourth paragraph: replace the comma; use a semi-colon.

- Section 3, first paragraph: capitalize "pop/imap".
- Section 3, third paragraph: capitalize "cc"

- Section 5.1.8:
OLD
   Encapsulate the header field in a "Downgraded-" header field as
   described in Section 4 as a last resort.
NEW
   Encapsulate the header field in a "Downgraded-" header field as
   described in Section 4 only as a last resort, as the original is removed.

- Section 9: Nit: change the word "all" to "any"
OLD
   However [RFC6530] obsoleted [RFC5504] and this document
   does not use all "Downgraded-" header fields registered by [RFC5504].
NEW
   However [RFC6530] obsoleted [RFC5504] and this document
   does not use any "Downgraded-" header fields registered by [RFC5504].

Thanks,
Aaron